// packageH/starMusic/starMusicIndex/starMusicIndex.js
var WxParse = require("../../../wxParse/wxParse");
var app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {
    explainFlag: false,
    searchText: "",
    slide: [],
    listData: [],
    share: {},
    page: 1, //分页数，当前页数
    isLoadMore: true, //判断是否要加载更多的标志
    total_page: 0, //总页数
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getData();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {},
  setExplainFlag() {
    this.setData({
      explainFlag: !this.data.explainFlag,
    });
  },
  onSearch() {
    this.getData();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.isLoadMore) {
      this._getMoreData();
    } else {
      console.log("没有更多数据");
    }
  },

  getData() {
    this.data.page = 1;
    this.data.isLoadMore = true;
    let keyword = this.data.searchText;
    let json = {};
    if (keyword != "") json.keyword = keyword;
    let urlStr = app.getNetAddresss("plugin.star-spell.frontend.index.index");
    app._postNetWork({
      url: urlStr,
      data: json,
      success: (resdata) => {
        var res = resdata.data;
        if (res.result != 1) return;
        this.setData({
          slide: res.data.slide,
          listData: res.data.star_goods.data,
          share: res.data.share,
        });
        let article = res.data.share.explain;
        try {
          if (article.indexOf("&#") <= -1) {
            WxParse.wxParse("article", "html", article, this);
          }
        } catch (e) {
          console.log(e);
        }
        this.data.isLoadMore = true;
        this.data.total_page = res.data.star_goods.last_page;
        if (!this.data.total_page) {
          this.data.total_page = 0;
        }
      },
    });
  },

  //加载更多数据
  _getMoreData() {
    this.data.isLoadMore = false; // 防止多次请求分页数据
    if (this.data.page >= this.data.total_page) {
      // that.loading = true;
      return;
    } else {
      this.data.page += 1;
      let keyword = this.data.searchText;
      let json = { page: this.data.page };
      if (keyword != "") json.keyword = keyword;
      let urlStr = app.getNetAddresss("plugin.star-spell.frontend.index.index");
      app._postNetWork({
        url: urlStr,
        data: json,
        success: (resdata) => {
          let res = resdata.data;
          this.data.isLoadMore = true;
          if (res.result === 1) {
            var nextPageData = res.data.star_goods.data;
            let listData = this.data.listData.concat(nextPageData);
            this.setData({ listData });
          } else {
            this.data.page = this.data.page - 1;
            this.data.isLoadMore = false;
          }
        },
      });
    }
  },

  gotoStarMusicGoodsDetails(evt) {
    let goodsid = evt.currentTarget.dataset.goodsid;
    wx.navigateTo({
      url: "/packageA/detail_v2/detail_v2?name=starGroup&id=" + goodsid,
    });
  },
  gotoStarMusicOpenGroup() {
    wx.navigateTo({
      url: "/packageH/starMusic/starMusicOpenGroup/starMusicOpenGroup",
    });
  },
  gotoStarMusicMy() {
    wx.navigateTo({
      url: "/packageH/starMusic/starMusicMy/starMusicMy",
    });
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},
});
